<?php
   
/**
* @see system_settings_form();
*/
   
   function slider_admin_settings(){
   
    //Images
	//Slide 1
	  $form['slider_images1'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Image One'),
		  '#description' => t('Select a picture and write a description for the slide'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
	  );
	
	  $form['slider_images1']['file1'] = array(
		  '#type' => 'managed_file',
		  '#title' => t('Upload an image ONE'),
		  '#description' => t('Select the image format jpg, png, gif'),
		  '#upload_location' => 'public://slider',
		  '#default_value' => variable_get('file1'),
	  );
	  
	  $form['slider_images1']['desc1'] = array(
		  '#type' => 'textarea',
		  '#title' => t('Description slide'),
		  '#description' => t('Enter a description of the slide if necessary'),
		  '#default_value' => variable_get('desc1', ''),
	  );
	  
	//Slide 2
		  $form['slider_images2'] = array(
			  '#type' => 'fieldset',
			  '#title' => t('Image Two'),
			  '#description' => t('Select a picture and write a description for the slide'),
			  '#collapsible' => TRUE,
			  '#collapsed' => TRUE,
		  );
		
		  $form['slider_images2']['file2'] = array(
			  '#type' => 'managed_file',
			  '#title' => t('Upload an image TWO'),
			  '#description' => t('Select the image format jpg, png, gif'),
			  '#upload_location' => 'public://slider',
			  '#default_value' => variable_get('file2', ''),
		  );
		  
		  $form['slider_images2']['desc2'] = array(
			  '#type' => 'textarea',
			  '#title' => t('Description slide'),
			  '#description' => t('Enter a description of the slide if necessary'),
			  '#default_value' => variable_get('desc2', ''),
		  );
	  
	  //Slide 3
	  $form['slider_images3'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Image Three'),
		  '#description' => t('Select a picture and write a description for the slide'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
	  );
	
	  $form['slider_images3']['file3'] = array(
		  '#type' => 'managed_file',
		  '#title' => t('Upload an image Three'),
		  '#description' => t('Select the image format jpg, png, gif'),
		  '#upload_location' => 'public://slider',
		  '#default_value' => variable_get('file3', ''),
	  );
	  
	  $form['slider_images3']['desc3'] = array(
		  '#type' => 'textarea',
		  '#title' => t('Description slide'),
		  '#description' => t('Enter a description of the slide if necessary'),
		  '#default_value' => variable_get('desc3', ''),
	  );
	  
	  
	   //Slide 4
	  $form['slider_images4'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Image Four'),
		  '#description' => t('Select a picture and write a description for the slide'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
	  );
	
	  $form['slider_images4']['file4'] = array(
		  '#type' => 'managed_file',
		  '#title' => t('Upload an image Four'),
		  '#description' => t('Select the image format jpg, png, gif'),
		  '#upload_location' => 'public://slider',
		  '#default_value' => variable_get('file4', ''),
	  );
	  
	  $form['slider_images4']['desc4'] = array(
		  '#type' => 'textarea',
		  '#title' => t('Description slide'),
		  '#description' => t('Enter a description of the slide if necessary'),
		  '#default_value' => variable_get('desc4', ''),
	  );
	  
	  
	   //Slide 5
	  $form['slider_images5'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Image Five'),
		  '#description' => t('Select a picture and write a description for the slide'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE,
	  );
	
	  $form['slider_images5']['file5'] = array(
		  '#type' => 'managed_file',
		  '#title' => t('Upload an image Five'),
		  '#description' => t('Select the image format jpg, png, gif'),
		  '#upload_location' => 'public://slider',
		  '#default_value' => variable_get('file5', ''),
	  );
	  
	  $form['slider_images5']['desc5'] = array(
		  '#type' => 'textarea',
		  '#title' => t('Description slide'),
		  '#description' => t('Enter a description of the slide if necessary'),
		  '#default_value' => variable_get('desc5', ''),
	  );
	  
	  
	//Select Image Style
	  $preset = image_styles();
	  $style_options = array();

	  foreach($preset as $key => $value){
	    $style_options[$key] = $key;
	  }

	  $form['image_style'] = array(
		  '#type' => 'select',
		  '#options' => $style_options,
		  '#title' => t('Image Style'),
		  '#description' => t('Select the desired image styles'),
		  '#default_value' => variable_get('image_style', 'large')
	 );
	  	  
	//Effects
	  $form['effects_slider'] = array(
		  '#type' => 'fieldset',
		  '#title' => t('Effect settings slider'),
		  '#description' => t('Select the desired effects for the slider'),
		  '#collapsible' => TRUE,
		  '#collapsed' => TRUE
	  );
	  
	//Slider effects
	  $form['effects_slider']['slider_effects'] = array(
	     '#type' => 'select',
		 '#options' => array(
			'default' => 'default',
			'simple' => 'simple',
			'left' => 'left',
			'up' => 'up',
			'leftright' => 'leftright',
			'updown' => 'updown',
			'switchlr' => 'switchlr',
			'switchud' => 'switchud',
			'fliplr' => 'fliplr',
			'flipud' => 'flipud',
			'reduce' => 'reduce',
			'360' => '360',
		 ),
		 '#title' => t('animation effect'),
		 '#description' => t('Select an animation slide'),
		 '#default_value' => variable_get('slider_effects', 0)
	  );
	
	//Auto
	  $auto_options = array(
		'yes' => t('Enable auto scrolling slideshow'),
		'no' => t('Do not include auto scrolling slideshow')
	  );
	  
	  $form['effects_slider']['auto_slide'] = array(
		'#type' => 'radios',
		'#title' => t('Autoscroll slideshow'),
		'#description' => t('This option enables / disables the automatic scrolling slide after the page loads'),
		'#options' => $auto_options,
		'#default_value' => variable_get('auto_slide', 'no')
	  );
	  
	//Bullets
	  $options_bullet = array(
	    'yes' => t('Use numbered slides. Enabling this option disables the setting of slide thumbnails'),
		'no' => t('Do not use numbering slides')
	  );
	  
	  $form['effects_slider']['bullets'] = array(
		'#type' => 'radios',
		'#title' => t('Using slide numbering'),
		'#description' => t('This option enables / disables the display of thumbs below the slider'),
		'#options' => $options_bullet,
		'#default_value' => variable_get('bullets', 'no')
	  );
	
	//Thumbs
	  $options_thumbs = array(
		'yes' => t('Show slide thumbnails when you hover'),
		'no' => t('Skip slide thumbnails when you hover')
	  );
	  
	  $form['effects_slider']['thumbs'] = array(
		'#type' => 'radios',
		'#title' => t('Slide thumbnails'),
		'#description' => t('This option enables / disables the slideshow hover. This option does not work if you are using "numbering slides"'),
		'#options' => $options_thumbs,
		'#default_value' => variable_get('thumbs', 'yes')
	  );
	
	//Thumbs size
	  $form['effects_slider']['thumbs_size'] = array(
		'#type' => 'textfield',
		'#title' => t('Preview size'),
		'#description' => t('Enter the desired size of the preview show. The size is given in% of osnovonom image. The default is 25. % Sign, you need not'),
		'#default_value' => variable_get('thumbs_size', 25),
		'#size' => '6',
		'#states' => array(
		  'invisible' => array(
		   'input[name="thumbs"]' => array('value' => 'no'),
		  )
		)
	  );
	
	//Settings for block slider
	  $form['setblock'] = array(
	    '#type' => 'fieldset',
		'#title' => t('Settings slider block'),
		'#description' => t('Enter the settings for the slider block'),
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	  );

	//Width block
	$form['setblock']['slider_width'] = array(
		'#type' => 'textfield',
		'#title' => t('Block width slider'),
		'#description' => t('Enter the width of the block slider in px'),
		'#size' => '6',
		'#default_value' => variable_get('slider_width', 480)
	);

	//Height block
	$form['setblock']['slider_height'] = array(
		'#type' => 'textfield',
		'#title' => t('Block height slider'),
		'#description' => t('Enter the height of the slider block in px'),
		'#size' => '6',
		'#default_value' => variable_get('slider_height', 280)
	);
	return system_settings_form($form);
   }

   
/**
* Implements hook_validate
*/
   
   function slider_admin_settings_validate($form, $form_state){
      $valwidth = $form_state['values']['slider_width'];
	  $valheight = $form_state['values']['slider_height'];
	  $valthumb_size = $form_state['values']['thumbs_size'];
	  
	  if(!is_numeric($valwidth)){
	     form_set_error('slider_width', 'Please enter the numbers');
	  }
	  if(!is_numeric($valheight)){
	     form_set_error('slider_height', 'Please enter the numbersя');
	  }
	  if(!is_numeric($valthumb_size)){
		 form_set_error('thumbs_size', 'Please enter the numbers');
	  };
	  
	  //save slide 1
	  $file1 = file_load($form_state['values']['file1']);
	  $fid_sl1 = $form_state['values']['file1'];
	  if($fid_sl1 > 0){
		  $file1->status = FILE_STATUS_PERMANENT;
		  file_save($file1);
		  file_usage_add($file1, 'user', 'user', 1);
	  }
	  
	  //save slide 2
	  $file2 = file_load($form_state['values']['file2']);
	  $fid_sl2 = $form_state['values']['file2'];
	  if($fid_sl2 > 0){
		  $file2->status = FILE_STATUS_PERMANENT;
		  file_save($file2);
		  file_usage_add($file2, 'user', 'user', 1);
	  }
	  
	  //save slide 3
	  $file3 = file_load($form_state['values']['file3']);
	  $fid_sl3 = $form_state['values']['file3'];
	  if($fid_sl3 > 0){
		  $file3->status = FILE_STATUS_PERMANENT;
		  file_save($file3);
		  file_usage_add($file3, 'user', 'user', 1);
	  }
	  
	  //save slide 4
	  $file4 = file_load($form_state['values']['file4']);
	  $fid_sl4 = $form_state['values']['file4'];
	  if($fid_sl4 > 0){
		  $file4->status = FILE_STATUS_PERMANENT;
		  file_save($file4);
		  file_usage_add($file4, 'user', 'user', 1);
	  }

	  //save slide 5
	  $file5 = file_load($form_state['values']['file5']);
	  $fid_sl5 = $form_state['values']['file5'];
	  if($fid_sl5 > 0){
		  $file5->status = FILE_STATUS_PERMANENT;
		  file_save($file5);
		  file_usage_add($file5, 'user', 'user', 1);
	  }
	
	}